package com.jz.dmp.modules.controller.sys.bean;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jz.dmp.modules.model.DmpMember;
import com.jz.dmp.modules.model.DmpRole;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**用户表Dto
 * @author ybz
 *
 */
@Data
@ApiModel(value = "用户表Dto", description = "用户表Dto")
@JsonIgnoreProperties(value = {"handler"})
public class DmpMemberDto extends DmpMember implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "项目角色列表")
	private List<String> roles;
	
	/**
	 * 用于前端辅助字段
	 */
	@ApiModelProperty(value = "用于前端辅助字段")
	private Integer webAssistFlag = 0;

}
