package com.jz.dmp.modules.controller.DataIntegration.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: CheckTaskStatusPageDto
 * @Description: 状态查看列表返回参数对象
 * @Author ：Bellamy
 * @Date 2020/12/22
 * @Version 1.0
 */
@ApiModel(value = "任务状态查看列表返回参数对象", description = "状态查看列表返回参数对象")
public class CheckTaskStatusPageDto {

    /*
     * 任务执行id
     * */
    @ApiModelProperty(value = "任务执行id")
    private long execId;

    /*
     * 创建人
     * */
    @ApiModelProperty(value = "创建人")
    private String submitUser;

    /*
     * 开始时间
     * */
    @ApiModelProperty(value = "开始时间")
    private String startTime;

    /*
     * 结束时间
     * */
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    /*
     * 耗时
     * */
    @ApiModelProperty(value = "耗时")
    private long costTime;
    /*
     *同步状态
     * */
    @ApiModelProperty(value = "同步状态:FAILED失败，success成功")
    private String status;

    public long getExecId() {
        return execId;
    }

    public void setExecId(long execId) {
        this.execId = execId;
    }

    public String getSubmitUser() {
        return submitUser;
    }

    public void setSubmitUser(String submitUser) {
        this.submitUser = submitUser;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public long getCostTime() {
        return costTime;
    }

    public void setCostTime(long costTime) {
        this.costTime = costTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
